imagemagick (8:7.1.2.29+dfsg2-1build1) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Fri, 21 Aug 2026 07:13:00 -0700

imagemagick (8:7.1.2.29+dfsg2-1) unstable; urgency=medium

  * New upstream version
  * Remove generated pdf from upstream

 -- Bastien Roucariès <rouca@debian.org>  Thu, 13 Aug 2026 09:39:49 +0200

imagemagick (8:7.1.2.27+dfsg1-1) unstable; urgency=high

  * New upstream version
  * Fix reproductibility

 -- Bastien Roucariès <rouca@debian.org>  Tue, 07 Jul 2026 12:07:48 +0200

imagemagick (8:7.1.2.26+dfsg1-1) unstable; urgency=high

  * New upstream version
  * Fix CVE-2026-53466:
    An integer overflow in the XCF decoder can result in an out of
    bounds read when a crafted image is read, potentially resulting
    in a crash.
  * Fix CVE-2026-53467:
    The MNG decoder contains a possible heap information disclosure
    vulnerability because part of the pixels are left unchanged.
  * Fix CVE-2026-55510:
    When identifying an image with a crafted 8BIM profile with a specific
    format string a use-after-free will occur.
  * Fix CVE-2026-55577:
    A heap buffer overflow occurs in the MVG decoder that could result
    in an out of bounds write when processing a crafted image.
  * Fix CVE-2026-55594:
    A missing depth check in the MVG decoder will result in a stack
    overflow when a crafted image is provided.
  * Fix CVE-2026-55595:
    When providing invalid arguments to the connected-components option
    an infinite loop will occur.
  * Fix CVE-2026-55597:
    An incorrect handling of arguments can cause a heap buffer over-write
    in the JP2 encoder
  * Fix CVE-2026-55628:
    The `-concatenate` operation is missing policy checks, potentially
    resulting in both reading and writing to paths disallowed by the
    security policy.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 02 Jul 2026 20:22:12 +0200

imagemagick (8:7.1.2.25+dfsg1-2) unstable; urgency=medium

  * Fix default ImageMagick policy configuration (Closes: #1140176)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 16 Jun 2026 22:22:44 +0200

imagemagick (8:7.1.2.25+dfsg1-1) unstable; urgency=high

  * New upstream version
  * Fix CVE-2026-53460:
    A missing check for maximum memory request in AcquireAlignedMemory
    could trigger an out-of-Memory condition.
  * Fix CVE-2026-53461:
    An incorrect loop in the ICON decoder can result in an out of
    bounds heap write resulting in a crash.
  * Fix CVE-2026-53462:
    When an allocation fails in CheckPrimitiveExtent this can result in a
    heap-use-after-free and result in a crash.
  * Fix CVE-2026-53463:
    When passing incorrect arguments in the distort operation a
    null pointer deference will occur.
  * Fix CVE-2026-53464:
    When providing invalid options to the wand option parser
    a small memory leak will occur.
  * Fix CVE-2026-53465:
    A crafted multi-frame can result in a heap buffer over-write
    when encoding it with the SF3 encoder

 -- Bastien Roucariès <rouca@debian.org>  Fri, 12 Jun 2026 22:13:14 +0200

imagemagick (8:7.1.2.24+dfsg1-1) unstable; urgency=high

  * New upstrem version
  * Fix CVE-2026-49219:
    An incorrect parsing of the filename can result in a policy bypass and read files
    disallowed by a security policy using a symlink
  * Fix CVE-2026-49218:
    A missing check in the DCM decoder could result in an image with invalid dimensions
    and that could cause crashes in other operation.
  * Fix CVE-2026-48994:
    A missing check of a return value could lead to a heap buffer over-write in the MAT
    decoder on 32-bit systems.
  * Fix CVE-2026-48734:
    A crafted MVG file could result in a stack overflow due to a missing depth
    or visited-set check
  * Fix CVE-2026-48733:
    An infinite loop in the subimage-search operation can happen when using a crafted image.
  * Fix CVE-2026-48724:
    When using an image with mask the Floyd-Steinberg dithering method it will cause a
    negative heap buffer over-write.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 27 May 2026 21:24:50 +0200

imagemagick (8:7.1.2.23+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2026-42326:
    Heap Buffer Over-Read in IPTC encoder.
  * Fix CVE-2026-45031:
    Policy Bypass in PSD decoder.
  * Fix CVE-2026-45358:
    Heap Buffer Over-Read of a single byte in meta encoder.
  * Fix CVE-2026-45359:
    Heap Buffer Over-Read in connected components when
    the user supplies an invalid keep-top define.
  * Fix CVE-2026-45624:
    Heap Buffer Over-Read of 24 bytes in distort operation.
  * Fix CVE-2026-45664:
    Policy Bypass in MNG decoder.
  * Fix CVE-2026-46520:
    Heap Buffer Over-Write in IPL decoder when reading multiple
    images of different dimensions.
  * Fix CVE-2026-46521:
    Heap Buffer Over-Write in MIFF encoder when using LZMA compression.
  * Fix CVE-2026-46522:
    Infinite Loop in the MIFF decoder can lead to CPU exhaustion.
  * Fix CVE-2026-46523:
    Use-After-Free in MSL decoder.
  * Fix CVE-2026-46557:
    Stack overflow in fx operation.
  * Fix CVE-2026-46559:
    Heap Buffer Over-Write of a single byte in the JP2 encoder.
  * Fix CVE-2026-46692:
    Heap Buffer Over-Write in distributed pixel cache server.
  * Fix CVE-2026-46693:
    A Race Condition in distributed pixel cache server
    can result in file descriptor hijacking.
  * Fix CVE-2026-47165:
    Information Disclosure in distributed pixel cache server
    because it is not using a challenge–response authentication model.
  * Fix CVE-2026-47166:
    Heap Buffer Over-Read in distributed pixel cache server.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 22 May 2026 16:53:26 +0200

imagemagick (8:7.1.2.21+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2026-42050:
    Stack buffer overflow in XTileImage
    A malicious MIFF file could trigger an overflow when a user opens
    it in the display tool and right-clicks a tile to invoke the
    Load/Update menu item.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 01 May 2026 16:29:15 +0200

imagemagick (8:7.1.2.19+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2026-33899:
    When `Magick` parses an XML file it is possible that
    a single zero byte is written out of the bounds
  * Fix CVE-2026-33900:
    The viff encoder contains an integer truncation/wraparound issue on
    32-bit builds that could trigger an out of bounds heap write,
    potentially causing a crash.
  * Fix CVE-2026-33901:
    A heap buffer overflow occurs in the MVG decoder that could result in
    an out of bounds write when processing a crafted image.
  * Fix CVE-2026-33902:
    A stack overflow vulnerability in ImageMagick's FX expression parser allows
    an attacker to crash the process by providing a deeply nested expression.
  * Fix CVE-2026-33905:
    The -sample operation has an out of bounds read when an specific offset
    is set through the `sample:offset` define that could lead to an out of
    bounds read.
  * Fix CVE-2026-33908:
    Magick frees the memory of the XML tree via the `DestroyXMLTree()`
    function; however, this process is executed recursively with no depth
    limit imposed. When Magick processes an XML file with deeply nested
    structures, it will exhaust the stack memory, resulting in a Denial of
    Service (DoS) attack.
  * Fix CVE-2026-34238:
    An integer overflow in the despeckle operation causes a heap
    buffer overflow on 32-bit builds that will result in an out of bounds write.
  * Fix CVE-2026-40169:
    A crafted image could result in an out of bounds heap write when writing a
    yaml or json output, resulting in a crash.
  * Fix CVE-2026-40183:
    The JXL encoder has an heap write overflow when a user specifies
    that the image should be encoded as 16 bit floats.
  * Fix CVE-2026-40310:
    A heap out-of-bounds write in the JP2 encoder with when a user specifies
    an invalid sampling index.
  * Fix CVE-2026-40311:
    A heap use-after-free vulnerability that can cause a crash when reading
    and printing values from an invalid XMP profile.
  * Fix CVE-2026-40312:
    An off by one error in the MSL decoder could result in a crash
    when a malicous MSL file is read.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 14 Apr 2026 17:35:29 +0200

imagemagick (8:7.1.2.18+dfsg1-1) unstable; urgency=high

  * New upstream version
  * Fix CVE-2026-32636:
    The NewXMLTree method contains a bug that could result
    in a crash due to an out of write bounds of a single
    zero byte
  * Fix rmagick regression in disolve (Closes: #1131687)

 -- Bastien Roucariès <rouca@debian.org>  Fri, 20 Mar 2026 21:51:31 +0100

imagemagick (8:7.1.2.16+dfsg1-1) unstable; urgency=high

  * New upstream version
  * Drop patch about double free in SVG applied upstream
  * Fix CVE-2026-28493:
    An integer overflow vulnerability exists in the SIXEL decoer.
    The vulnerability allows an attacker to perform an out of bounds
    via a specially crafted image.
  * Fix CVE-2026-28494:
    A stack buffer overflow exists in ImageMagick's morphology kernel
    parsing functions. User-controlled kernel strings exceeding a buffer
    are copied into fixed-size stack buffers via memcpy without bounds
    checking, resulting in stack corruption.
  * Fix CVE-2026-28686:
    A heap-buffer-overflow vulnerability exists in the PCL
    encode due to an undersized output buffer allocation.
  * Fix CVE-2026-28687:
    a heap use-after-free vulnerability in ImageMagick's
    MSL decoder allows an attacker to trigger access to freed memory
    by crafting an MSL file.
  * Fix CVE-2026-28688:
    A heap-use-after-free vulnerability exists in the MSL encoder,
    where a cloned image is destroyed twice. The MSL coder does
    not support writing MSL so the write capability has been removed
  * Fix CVE-2026-28689:
    Domain="path" authorization is checked before final file open/use.
    A symlink swap between check-time and use-time bypasses policy-denied
    read/write
  * Fix CVE-2026-28690:
    A stack buffer overflow vulnerability exists in the MNG encoder.
    There is a bounds checks missing that could corrupting the stack
    with attacker-controlled data.
  * Fix CVE-2026-28691:
    An uninitialized pointer dereference vulnerability exists in the
    JBIG decoder due to a missing check.
  * Fix CVE-2026-28692:
    MAT decoder uses 32-bit arithmetic due to incorrect parenthesization
    resulting in a heap over-read.
  * Fix CVE-2026-28693:
    An integer overflow in DIB coder can result in out of bounds read
    or write
  * Fix CVE-2026-30883:
    An extremely large image profile could result in a heap overflow
    when encoding a PNG image
  * Fix CVE-2026-30929:
    MagnifyImage uses a fixed-size stack buffer. When using a specific image
    it is possible to overflow this buffer and corrupt the stack
  * Fix CVE-2026-30931:
    A heap-based buffer overflow in the UHDR encoder can happen due to
    truncation of a value and it would allow an out of bounds write.
  * Fix CVE-2026-30935:
    BilateralBlurImage contains a heap buffer over-read caused by an incorrect
    conversion. When processing a crafted image with the -bilateral-blur
    operation an out of bounds read can occur.
  * Fix CVE-2026-30936:
    A crafted image could cause an out of bounds heap write inside
    the WaveletDenoiseImage method. When processing a crafted image
    with the -wavelet-denoise operation an out of bounds write can occur.
  * Fix CVE-2026-30937:
    A 32-bit unsigned integer overflow in the XWD (X Windows) encoder can
    cause an undersized heap buffer allocation. When writing a extremely
    large image an out of bounds heap write can occur.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 10 Mar 2026 21:35:45 +0100

imagemagick (8:7.1.2.15+dfsg1-2) unstable; urgency=medium

  * Fix bootstrap5 privacy breach by using local package
  * Improve reproductibility

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2026 18:34:01 +0100

imagemagick (8:7.1.2.15+dfsg1-1) unstable; urgency=high

  * New upstream release.
  * Fix a double free in SVG
  * Fix unreproductible doxygen documentation
  * Fix CVE-2026-24481:
    A heap information disclosure vulnerability exists
    in ImageMagick's PSD (Adobe Photoshop) format handler.
    When processing a maliciously crafted PSD file containing
    ZIP-compressed layer data that decompresses to less than
    the expected size, uninitialized heap memory is leaked
    into the output image.
  * Fix CVE-2026-24484:
    Magick fails to check for multi-layer nested mvg
    conversions to svg, leading to DoS.
  * Fix CVE-2026-24485:
    When a PCD file does not contain a valid Sync marker, the
    DecodeImage() function becomes trapped in an infinite loop while
    searching for the Sync marker, causing the program to become
    unresponsive and continuously consume CPU resources, ultimately
    leading to system resource exhaustion and Denial of Service
    (DoS)
  * Fix CVE-2026-25576:
    A heap buffer over-read vulnerability exists in multiple
    raw image format handles. The vulnerability occurs when
    processing images with -extract dimensions larger than
    -size dimensions, causing out-of-bounds memory reads
    from a heap-allocated buffer.
  * Fix CVE-2026-25637:
    A memory leak in the ASHLAR image writer allows an attacker to exhaust
    process memory by providing a crafted image that results in small
    objects that are allocated but never freed.
  * Fix CVE-2026-25638:
    A memory leak exists in `coders/msl.c`. In the `WriteMSLImage`
    function of the `msl.c` file, resources are allocated. But the
    function returns early without releasing these allocated resources.
  * Fix CVE-2026-25794:
    `WriteUHDRImage` in `coders/uhdr.c` uses `int` arithmetic to compute
    the pixel buffer size. Prior to version 7.1.2-15, when image
    dimensions are large, the multiplication overflows 32-bit `int`,
    causing an undersized heap allocation followed by an out-of-bounds
    write.
  * Fix CVE-2026-25795:
    `ReadSFWImage()` (`coders/sfw.c`), when temporary file
    creation fails, `read_info` is destroyed before its `filename`
    member is accessed, causing a NULL pointer dereference and crash.
  * Fix CVE-2026-25796:
    In `ReadSTEGANOImage()` (`coders/stegano.c`), the `watermark` Image
    object is not freed on three early-return paths, resulting in a
    definite memory leak (~13.5KB+ per invocation) that can be exploited
    for denial of service.
  * Fix CVE-2026-25797:
    The ps coders, responsible for writing PostScript files, fails to
    sanitize the input before writing it into the PostScript header. An
    attacker can provide a malicious file and inject arbitrary PostScript
    code. When the resulting file is processed by a printer or a viewer
    (like Ghostscript), the injected code is interpreted and executed. The
    html encoder does not properly escape strings that are written to in
    the html document. An attacker can provide a malicious file and
    injection arbitrary html code.
  * Fix CVE-2026-25798:
    A NULL pointer dereference in ClonePixelCacheRepository allows a
    remote attacker to crash any application linked against ImageMagick by
    supplying a crafted image file, resulting in denial of service.
  * Fix CVE-2026-25799:
    A logic error in YUV sampling factor validation allows an invalid
    sampling factor to bypass checks and trigger a division-by-zero during
    image loading, resulting in a reliable denial-of-service.
  * Fix CVE-2026-25897:
    An Integer Overflow vulnerability exists in the sun decoder. On 32-bit
    systems/builds, a carefully crafted image can lead to an out of bounds
    heap write.
  * Fix CVE-2026-25898:
    The UIL and XPM image encoder do not validate the
    pixel index value returned by `GetPixelIndex()` before using it as an
    array subscript. In HDRI builds, `Quantum` is a floating-point type,
    so pixel index values can be negative. An attacker can craft an image
    with negative pixel index values to trigger a global buffer overflow
    read during conversion, leading to information disclosure or a process
    crash.
  * Fix CVE-2026-25965:
    ImageMagick’s path security policy is enforced on the raw filename
    string before the filesystem resolves it. As a result, a policy rule
    such as /etc/* can be bypassed by a path traversal. The OS resolves
    the traversal and opens the sensitive file, but the policy matcher
    only sees the unnormalized path and therefore allows the read. This
    enables local file disclosure (LFI) even when policy-secure.xml is
    applied.
  * Fix CVE-2026-25966:
    The shipped "secure" security policy includes a rule intended to
    prevent reading/writing from standard streams. However, ImageMagick
    also supports fd:<n> pseudo-filenames (e.g., fd:0, fd:1).
    This path form is not blocked by the
    secure policy templates, and therefore bypasses the protection goal of
    "no stdin/stdout."
  * Fix CVE-2026-25967:
    A stack-based buffer overflow exists in the ImageMagick FTXT image
    reader. A crafted FTXT file can cause out-of-bounds writes on the
    stack, leading to a crash.
  * Fix CVE-2026-25968:
    A stack buffer overflow occurs when processing the an attribute in
    msl.c. A long value overflows a fixed-size stack buffer, leading to
    memory corruption.
  * Fix CVE-2026-25969:
    A memory leak exists in `coders/ashlar.c`. The `WriteASHLARImage`
    allocates a structure. However, when an exception is thrown, the
    allocated memory is not properly released, resulting in a potential
    memory leak.
  * Fix CVE-2026-25970:
    A signed integer overflow vulnerability in ImageMagick's SIXEL decoder
    allows an attacker to trigger memory corruption and denial of service
    when processing a maliciously crafted SIXEL image file. The
    vulnerability occurs during buffer reallocation operations where
    pointer arithmetic using signed 32-bit integers overflows.
  * Fix CVE-2026-25971:
    Magick fails to check for circular references between two MSLs,
    leading to a stack overflow.
  * Fix CVE-2026-25982:
    A heap out-of-bounds read vulnerability exists in the `coders/dcm.c`
    module. When processing DICOM files with a specific configuration, the
    decoder loop incorrectly reads bytes per iteration. This causes the
    function to read past the end of the allocated buffer, potentially
    leading to a Denial of Service or Information Disclosure.
  * Fix CVE-2026-25983:
    A crafted MSL script triggers a heap-use-after-free. The operation
    element handler replaces and frees the image while the parser
    continues reading from it, leading to a UAF in ReadBlobString during
    further parsing.
  * Fix CVE-2026-25985:
    A crafted SVG file containing an malicious element causes ImageMagick
    to attempt to allocate ~674 GB of memory, leading to an out-of-memory
    abort.
  * Fix CVE-2026-25986:
    A heap buffer overflow write vulnerability exists in ReadYUVImage()
    (coders/yuv.c) when processing malicious YUV 4:2:2 (NoInterlace)
    images. The pixel-pair loop writes one pixel beyond the allocated row
    buffer.
  * Fix CVE-2026-25987:
    A heap buffer over-read vulnerability exists in the MAP image decoder
    when processing crafted MAP files, potentially leading to crashes or
    unintended memory disclosure during image decoding.
  * Fix CVE-2026-25988:
    Sometimes msl.c fails to update the stack index, so an image is stored
    in the wrong slot and never freed on error, causing leaks.
  * Fix CVE-2026-25989:
    A crafted SVG file can cause a denial of service. An off-by-one
    boundary check (`>` instead of `>=`) that allows bypass the guard and
    reach an undefined `(size_t)` cast.
  * Fix CVE-2026-26066:
    A crafted profile contain invalid IPTC data may cause an infinite loop
    when writing it with `IPTCTEXT`.
  * Fix CVE-2026-26283:
    A `continue` statement in the JPEG extent binary search loop in the
    jpeg encoder causes an infinite loop when writing persistently fails.
  * Fix CVE-2026-26284:
    ImageMagick lacks proper boundary checking when processing
    Huffman-coded data from PCD (Photo CD) files. The decoder contains an
    function that has an incorrect initialization that could cause an out
    of bounds read.
  * Fix CVE-2026-26983:
    The MSL interpreter crashes when processing a invalid `<map>` element
    that causes it to use an image after it has been freed.
  * Fix CVE-2026-27798:
    A heap buffer over-read vulnerability occurs when processing an image
    with small dimension using the `-wavelet-denoise` operator.
  * Fix CVE-2026-27799:
    A heap buffer over-read vulnerability exists in the DJVU image format
    handler. The vulnerability occurs due to integer truncation when
    calculating the stride (row size) for pixel buffer allocation. The
    stride calculation overflows a 32-bit signed integer, resulting in an
    out-of-bounds memory reads.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2026 00:50:41 +0100

imagemagick (8:7.1.2.13+dfsg1-1) unstable; urgency=high

  * New upstream version
  * Fix CVE-2026-22770 (Closes: #1126074)
    The BilateralBlurImage method will allocate a set of
    double buffers inside AcquireBilateralTLS.
    The last element in the set is not properly initialized.
    This will result in a release of an invalid pointer
    inside DestroyBilateralTLS when the memory allocation fails
  * Fix CVE-2026-23874 (Closes: #1126075)
    a stack overflow was found via infinite recursion in
    MSL (Magick Scripting Language) `<write>` command when
    writing to MSL format.
  * Fix CVE-2026-23876 (Closes: #1126076)
    A heap buffer overflow vulnerability was found in the XBM
    image decoder (ReadXBMImage) allows an attacker to write
    controlled data past the allocated heap buffer when
    processing a maliciously crafted image file.
    Any operation that reads or identifies an image can
    trigger the overflow, making it exploitable via common
    image upload and processing pipelines.
  * Fix CVE-2026-23952 (Closes: 1126077)
    NULL pointer dereference was found in MSL parser via <comment>
    tag before image load

 -- Bastien Roucariès <rouca@debian.org>  Wed, 21 Jan 2026 22:54:51 +0100

imagemagick (8:7.1.2.12+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2025-65955 (Closes: #1122827)
    There is a vulnerability in ImageMagick’s Magick++ layer that
    manifests when Options::fontFamily is invoked with an empty
    string. Clearing a font family calls RelinquishMagickMemory on
    _drawInfo->font, freeing the font string but leaving _drawInfo->font
    pointing to freed memory while _drawInfo->family is set to that
    (now-invalid) pointer. Any later cleanup or reuse of _drawInfo->font
    re-frees or dereferences dangling memory. DestroyDrawInfo and other
    setters (Options::font, Image::font) assume _drawInfo->font remains
    valid, so destruction or subsequent updates trigger crashes or heap
    corruption
  * Fix CVE-2025-66628 (Closes: #1122584)
    The TIM (PSX TIM) image parser contains a critical integer overflow
    vulnerability in its ReadTIMImage function (coders/tim.c). The code
    reads width and height (16-bit values) from the file header and
    calculates image_size = 2 * width * height without checking for
    overflow. On 32-bit systems (or where size_t is 32-bit), this
    calculation can overflow if width and height are large (e.g., 65535),
    wrapping around to a small value. This results in a small heap
    allocation via AcquireQuantumMemory and later operations relying on
    the dimensions can trigger an out of bounds read.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 28 Dec 2025 19:32:37 +0100

imagemagick (8:7.1.2.8+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2025-62594:
    ImageMagick is vulnerable to denial-of-service due to
    unsigned integer underflow and division-by-zero in
    the CLAHEImage function. When tile width or height is
    zero, unsigned underflow occurs in pointer arithmetic,
    leading to out-of-bounds memory access,
    and division-by-zero causes immediate crashes.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 28 Oct 2025 17:06:16 +0100

imagemagick (8:7.1.2.7+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Fix CVE-2025-62171 (Closes: #1118340)
    An integer overflow vulnerability exists in the BMP decoder
    on 32-bit systems. The vulnerability occurs in coders/bmp.c
    when calculating the extent value by multiplying image columns
    by bits per pixel. On 32-bit systems with size_t of 4 bytes,
    a malicious BMP file with specific dimensions can cause
    this multiplication to overflow and wrap to zero.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Oct 2025 11:57:01 +0200

imagemagick (8:7.1.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Fix CVE-2025-55212:
    Passing a geometry string containing only a colon (":") to montage
    -geometry leads GetGeometry() to set width/height to 0. Later,
    ThumbnailImage() divides by these zero dimensions, triggering
    a crash (SIGFPE/abort), resulting in a denial of service
    (Closes: #1111587)
  * Fix CVE-2025-55298:
    A format string bug vulnerability exists in InterpretImageFilename
    function where user input is directly passed to FormatLocaleString
    without proper sanitization. An attacker can overwrite arbitrary
    memory regions, enabling a wide range of attacks from heap overflow
    to remote code execution.
    (Closes: #1111586)
  * Fix CVE-2025-57803:
    A 32-bit integer overflow in the BMP encoder’s scanline-stride
    computation collapses bytes_per_line (stride) to a tiny value while
    the per-row writer still emits 3 × width bytes for 24-bpp images.
    The row base pointer advances using the (overflowed) stride,
    so the first row immediately writes past its slot
    and into adjacent heap memory with attacker-controlled bytes.
    (Closes: #1112469)
  * Fix CVE-2025-57807:
    ImageMagick versions include insecure functions: SeekBlob(),
    which permits advancing the stream offset beyond the current end without
    increasing capacity, and WriteBlob(), which then expands by
    quantum + length (amortized) instead of offset + length, and copies
    to data + offset. When offset ≫ extent, the copy targets memory
    beyond the allocation, producing a deterministic heap write
    on 64-bit builds
    (Closes: #1114520)

 -- Bastien Roucariès <rouca@debian.org>  Sat, 06 Sep 2025 01:44:14 +0200

imagemagick (8:7.1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix CVE-2025-55004:
    ImageMagick is vulnerable to heap-buffer overflow read
    around the handling of images with separate alpha channels
    when performing image magnification in ReadOneMNGIMage.
    (Closes: #1111101)
  * Fix CVE-2025-55005:
    When preparing to transform from Log to sRGB colorspaces,
    the logmap construction fails to handle cases where the
    reference-black or reference-white value is larger than 1024.
    This leads to corrupting memory beyond the end of the allocated
    logmap buffer.
    (Closes: #1111102)
  * Fix CVE-2025-55154:
    The magnified size calculations in ReadOneMNGIMage
    (in coders/png.c) are unsafe and can overflow, leading to
    memory corruption.
    (Closes:  #1111103)
  * Fix CVE-2025-55160:
    There is undefined behavior (function-type-mismatch) in
    splay tree cloning callback. This results in a deterministic
    abort under UBSan (DoS in sanitizer builds),
    with no crash in a non-sanitized build
    (Closes:  #1111104)
  * Conflicts with graphicsmagick-libmagick-dev-compat

 -- Bastien Roucariès <rouca@debian.org>  Sun, 17 Aug 2025 18:54:36 +0200

Imagemagick (8:7.1.1.47+dfsg1-2) unstable; urgency=medium

  * Fix CVE-2025-53014:
    A heap buffer overflow was found in the `InterpretImageFilename`
    function. The issue stems from an off-by-one error that
    causes out-of-bounds memory access when processing format
    strings containing consecutive percent signs (`%%`).
    (Closes: #1109339)
  * Fix CVE-2025-53015:
    Infinite loop occur when writing during a specific XMP
    file conversion command
    (Closes: #1109339)
  * Fix CVE-2025-53019:
    `magick stream` command, specifying
    multiple consecutive `%d` format specifiers in a
    filename template causes a memory leak
    (Closes: #1109339)
  * Fix CVE-2025-53101:
    `magick mogrify` command, specifying multiple consecutive
    `%d` format specifiers in a filename template causes
    internal pointer arithmetic to generate an address
    below the beginning of the stack buffer, resulting
    in a stack overflow through `vsnprintf()`
    (Closes: #1109339)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 15 Jul 2025 22:29:23 +0200

imagemagick (8:7.1.1.47+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Fix compare operator corner case

 --  Bastien Roucariès <rouca@debian.org>  Thu, 10 Apr 2025 18:04:54 +0200

imagemagick (8:7.1.1.46+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Drop depend on rsvg lib for magickcore-dev

 -- Bastien Roucariès <rouca@debian.org>  Sat, 29 Mar 2025 18:37:46 +0000

imagemagick (8:7.1.1.43+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Allow smooth upgrade (Closes: #1087309)
  * Fix documentation (Closes: #1034333)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 29 Dec 2024 11:21:15 +0000

imagemagick (8:7.1.1.39+dfsg1-3) unstable; urgency=medium

  [ Bastien Roucariès]
  * Fix imagemagick: .pc files contains -lfftw3
    but no libfftw3-dev dependency (Closes: #1064658)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1086784). Thanks to Helmut
    Grohne.
    + Drop versioned g++ dependency satisfied in buster.
    + Export PERL5LIB for cross building.
    + Use the installed convert for generating the icons cache.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 12 Nov 2024 17:39:35 +0000

imagemagick (8:7.1.1.39+dfsg1-2) unstable; urgency=medium

  * Add dejavu font to test for gd
  * Fix autopkgtest by finding a suitable font is default font is
    not found.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 29 Oct 2024 16:54:08 +0000

imagemagick (8:7.1.1.39+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Sun, 27 Oct 2024 18:45:43 +0000

imagemagick (8:7.1.1.33+dfsg1-3) UNRELEASED; urgency=medium

  * Merge generate rdeps at test time. Thanks to josh
  * Add depends imagemagick-${IMVERSION}-common
    to libmagickcore-dev quantum package

 -- Bastien Roucariès <rouca@debian.org>  Sat, 19 Oct 2024 15:14:51 +0000

imagemagick (8:7.1.1.33+dfsg1-2) experimental; urgency=medium

  * Sourcefull rebuild
  * Bump policy no changes
  * Add :any anotation

 -- Bastien Roucariès <rouca@debian.org>  Thu, 22 Aug 2024 10:11:37 +0000

imagemagick (8:7.1.1.33+dfsg1-1) experimental; urgency=medium

  * New major version (Closes: #929825)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 20 Aug 2024 20:49:37 +0000

imagemagick (8:6.9.13.12+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Acknowledge NMU
  * Drop time-to-live-returned-incorrect-results-when-SOURCE_.patch
    applied upstream.
  * use pkgconf instead of pkg-config
  * Close variation of CVE-2023-34151 (Closes: #1070340)
  * Libmagick++-6.q16-dev included assert.h inside namespace.
    (Closes: #969128)

 -- Bastien Roucariès <rouca@debian.org>  Fri, 28 Jun 2024 16:37:24 +0000

imagemagick (8:6.9.12.98+dfsg1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup runtime dependencies due to 64-bit time_t transition
    (Closes: #1066935)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Mar 2024 16:04:36 +0100

imagemagick (8:6.9.12.98+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064140

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 01:31:19 +0000

imagemagick (8:6.9.12.98+dfsg1-5) unstable; urgency=medium

  * Bug fix: "please update Suggests: imagemagick-doc; to
    imagemagick-6-doc", thanks to Vincent Lefevre
    (Closes: #1059314).
  * Bug fix: "missing Breaks+Replaces against the dropped imagemagick-doc
    package, in order to force its removal", thanks to Vincent Lefevre
    (Closes: #1059193).

 -- Bastien Roucariès <rouca@debian.org>  Wed, 27 Dec 2023 10:29:58 +0000

imagemagick (8:6.9.12.98+dfsg1-4) unstable; urgency=medium

  * Replace ufraw-batch suggest by libraw-bin
    (Closes: #1038637)
  * Update changelog entry for CVE fixed.
  * Move from gsfonts to fonts-urw-base35. Thanks to Vincent Lefevre
    (Closes: #1020358, #1020355, #1020363, #1020370)
  * Recommends fonts-tuffy (Closes: #1054580)
  * Fix a typo in debian patch (Closes: #1054506)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 30 Oct 2023 09:26:06 +0000

imagemagick (8:6.9.12.98+dfsg1-3) unstable; urgency=medium

  * Bug fix: "imagemagick no longer sets
    "PACKAGE_RELEASE_DATE", thanks to Håvard F. Aasen (Closes:
    #1054462).
  * Bug fix: "reproducible builds: Embeds different paths on usrmerge
    system", thanks to Vagrant Cascadian (Closes: #983303).

 -- Bastien Roucariès <rouca@debian.org>  Wed, 25 Oct 2023 23:30:18 +0000

imagemagick (8:6.9.12.98+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Sun, 22 Oct 2023 15:35:30 +0000

imagemagick (8:6.9.12.98+dfsg1-1) experimental; urgency=medium

  * New upstream version
  * Drop package imagemagick-doc and imagemagick-common
  * Fix CVE-2023-3428: A heap-based buffer overflow vulnerability
    was found in coders/tiff.c. This issue may allow a local attacker
    to trick the user into opening a specially crafted file,
    resulting in an application crash and denial of service.
  * CVE-2023-3745: A heap-based buffer overflow issue
    was found in ImageMagick's PushCharPixel() function
    in quantum-private.h. This issue may allow a local
    attacker to trick the user into opening a specially crafted file,
    triggering an out-of-bounds read error and allowing an application
    to crash, resulting in a denial of service.
  * Import patch for upstream that avoid a FTBFS due to
    SOURCE_DATE_EPOCH set
  * Use a debian policy. Install other policies as user
    convenience.
  * Recompile means no depends on old libwmf
    (Closes: #1005229)

 -- Bastien Roucariès <rouca@debian.org>  Sat, 21 Oct 2023 14:40:53 +0000

imagemagick (8:6.9.12.90+dfsg1-1) UNRELEASED; urgency=medium

  [ Luciano Bello ]
  * removing Luciano as uploader, as he is retiring

  [ Pino Toscano ]
  * Drop the XPM icon for display-im, as the Debian menu file that needed it
    was removed in 8:6.9.2.10+dfsg-1.
  * Tweak the sizes for which we generate PNG versions of the display-im
    application icon:
    - drop 8x8, and 42x42: they are not specified in hicolor, and thus cannot
      be reliably used; also they are very niche sizes, and they can be
      downscaled if needed
    - add 512x512

  [ Bastien Roucariès ]
  * New upstream version
  * Aknowledge NMU
  * Fix CVE-2021-3610: A heap-based buffer overflow vulnerability
    was found in ImageMagick in ReadTIFFImage() in coders/tiff.c.
    This issue is due to an incorrect setting of the pixel array size,
    which can lead to a crash and segmentation fault.
    (Closes: #1037090).
  * Fix CVE-2022-1115: A heap-buffer-overflow flaw was found in
    ImageMagick’s PushShortPixel() function of quantum-private.h file.
    This vulnerability is triggered when an attacker passes a specially
    crafted TIFF image file to ImageMagick for conversion, potentially
    leading to a denial of service.
    (Closes: #1013282)
  * Fix CVE-2022-3213: A heap buffer overflow issue was found in ImageMagick.
    When an application processes a malformed TIFF file, it could lead to
    undefined behavior or a crash causing a denial of service.
    (Closes: #1021141).
  * Fix CVE-2023-1289: A vulnerability was discovered in ImageMagick where
    a specially created SVG file loads itself and causes a
    segmentation fault.
    This flaw allows a remote attacker to pass a specially crafted
    SVG file that leads to a segmentation fault, generating many
    trash files in "/tmp", resulting in a denial of service.
    When ImageMagick crashes, it generates
    a lot of trash files. These trash files can be large if the SVG file
    contains many render actions.
    (Closes: #1033254).
  * Fix CVE-2023-1906: A heap-based buffer overflow issue was discovered
    in ImageMagick's ImportMultiSpectralQuantum() function in
    MagickCore/quantum-import.c. An attacker could pass specially
    crafted file to convert, triggering an out-of-bounds read error,
    allowing an application to crash, resulting in a denial of service.
    (Closes: #1034373).
  * Fix CVE-2023-2157: A heap-based buffer overflow vulnerability
    was found in the ImageMagick package that can lead to the application
    crashing. (Closes: #1036476).
  * Fix CVE-2023-3195: A stack-based buffer overflow issue was found
    in ImageMagick's coders/tiff.c. This flaw allows an attacker to trick
    the user into opening a specially crafted malicious tiff file,
    causing an application to crash, resulting in a denial of service.
  * Fix CVE-2023-34151:  A vulnerability was found in ImageMagick.
    This security flaw ouccers as an undefined behaviors of casting double
    to size_t in svg, mvg and other coders.
    (Closes: #1036999)
  * Use libfreetype-dev instead of libfreetype6-dev

 -- Bastien Roucariès <rouca@debian.org>  Sat, 29 Jul 2023 14:52:58 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmagickcore-7-arch-config`.
